Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 614638 - [abrt] crash in ImageMagick-6.5.8.10-6.fc13: new_heap: Process /usr/bin/convert was killed by signal 11 (SIGSEGV)
[abrt] crash in ImageMagick-6.5.8.10-6.fc13: new_heap: Process /usr/bin/conve...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:167d867ea49c61351ac1a928b6d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-14 17:26 EDT by Joel Uckelman
Modified: 2011-06-01 11:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 11:03:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (141.66 KB, text/plain)
2010-07-14 17:26 EDT, Joel Uckelman
no flags Details

  None (edit)
Description Joel Uckelman 2010-07-14 17:26:01 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/convert -quality 80 -background white -size 85 /var/www/mediawiki/images/7/72/Wpdbc.jpg -thumbnail 85x119! -depth 8 -sharpen 0x0.4 /var/www/mediawiki/images/thumb/7/72/Wpdbc.jpg/85px-Wpdbc.jpg
component: ImageMagick
crash_function: new_heap
executable: /usr/bin/convert
global_uuid: 167d867ea49c61351ac1a928b6deb71bcfecc322
kernel: 2.6.33.6-147.fc13.x86_64
package: ImageMagick-6.5.8.10-6.fc13
rating: 4
reason: Process /usr/bin/convert was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 Joel Uckelman 2010-07-14 17:26:16 EDT
Created attachment 431925 [details]
File: backtrace
Comment 2 Pavel Alexeev 2010-07-15 02:56:58 EDT
Thank you for the bugreport.

How it reproducable?
Can you attach images on what it crashed?
Comment 3 Joel Uckelman 2010-07-15 03:58:45 EDT
This is happening when convert is making thumbnails for MediaWiki, and has something to do with a recent change in SELinux policy. Basically any image will trigger the problem. See Bug 611308 for more details about the SELinux change.
Comment 4 Bug Zapper 2011-06-01 09:52:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Joel Uckelman 2011-06-01 11:03:26 EDT
It looks like the issue is not ImageMagick, but a problem with ulimit permissions, see Bug 611308.

Note You need to log in before you can comment on or make changes to this bug.